View Linked References
get
/api/restapi/entityReference/linkedReferences
Send a request to this endpoint to view all the linked references.
Request
Query Parameters
-
programCode: string
The user-specified unique identifier of a program.
-
projectCode(required): string
The user-specified identifier of a project.
This is a required field. -
recordCode(required): string
The user-specified identifier of an object associated with a reference.
This is a required field. -
recordId(required): integer(int64)
The system-generated identifier of an object associated with a reference.
This is a required field. -
recordType(required): string
The type of an object that supports references.
This is a required field.Allowed Values:[ "ACTIVITY", "IDEA", "PROJECT", "PROG_RISK", "RISK", "WORK_MANAGER_TASK" ] -
workspaceCode(required): string
The user-specified identifier of a workspace.
This is a required field.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation. Returns the objects linked to the specified record. The response may contain Activities, Work Manager Tasks, Program Risks, Project Risks, and Projects.
Nested Schema : items
Type:
object204 Response
Successful operation with no content.
404 Response
The requested reference does not exist, or you do not have access to it.